GMLive 0.22.2版本释出

由本社区发起的开源项目
binihuai
帖子: 251
注册时间: 2007-08-25 15:56
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#31

帖子 binihuai » 2009-09-25 1:27

怎么看港台频道和内地剧场阿,根本打不开子目录
zhwps
帖子: 77
注册时间: 2007-03-21 14:33
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#32

帖子 zhwps » 2009-09-25 9:53

想在centos 5 上编译,最简单的就是失去几个特性:
1、trayicon
2、volume button
3、几个小函数
4、使用glade

再提几个问题和建议:
1、在AMD64的系统中,libppswrapper不能使用。还是需要使用suid位的xpps
2、pps的播放列表能否不用实时更新,在启动时先使用老的播放列表,新的播放列表先暂存,更新完毕后再替换
3、在线视频不能播放是不是因为url编码的问题
4、发布时是否可以使用intel ce的库,这样对glibc的版本要求低一些,centos 5 也可以用
lerosua 写了:这好几个控件的最低要求是2.12的gtk+,而你的系统是2.10的gtk+,没达到要求

quifei 写了:
lerosua 写了:
quifei 写了:又一次失望了,自从0.21.2开始,在Centos5和RHRL5上就再也无法安装了,0.21.1版本把configure文件里的giomm改成glibmm之后可以编译安装,以后的版本就无法编译了,
源里的gtkmm版本是2.10的
放出了一个叫 gloose的源码版本,这个是降低gtk+高版本依赖的,可用这个编译
这个gloose版本也不行,同样改configure文件里的giomm改成glibmm之后编译,出现下面的错误:
头像
lerosua
论坛版主
帖子: 8455
注册时间: 2007-11-29 9:41
送出感谢: 0
接收感谢: 0
联系:

Re: GMLive 0.22.2版本释出

#33

帖子 lerosua » 2009-09-25 10:03

如你所说,再降就要失去那几个特性。

1.libppswrapper是在gmlive里设置好LD_PRELOAD来运行xpps的,没在amd64里测试过。
你测试下面的命令是否能在amd64里跑。

代码: 全选

LD_PRELOAD="libppswrapper-preload.so.0.0.0" ./xpps  pps://xxx
2.pps列表的问题肯定是要改进的。只是前期在做别的工作,后面会想办法的,现在我自己用着也不方便,每次都重新下载。我知道的。
3. 在线视频用 libpps的7xx版本的库是可以看的,因为我用了最新的826版本的库,因此看不了了。但我测试中,7xx的库又看不了下载回来列表里的pps频道,因此我只能先取下载列表里的频道为先。 这完全是pps官方不知在搞什么 ...因为之前他们列表用tvod://的时候都能看的,后来又更新成pps://的了。反正是混乱。我问过他们,他们回答说是测试用的。既然是测试,或许等他们稳定了,会有好的解决方法。
4. 用那个库要测试下。因为那个是7xx版本的。
zhwps 写了:想在centos 5 上编译,最简单的就是失去几个特性:
1、trayicon
2、volume button
3、几个小函数
4、使用glade

再提几个问题和建议:
1、在AMD64的系统中,libppswrapper不能使用。还是需要使用suid位的xpps
2、pps的播放列表能否不用实时更新,在启动时先使用老的播放列表,新的播放列表先暂存,更新完毕后再替换
3、在线视频不能播放是不是因为url编码的问题
4、发布时是否可以使用intel ce的库,这样对glibc的版本要求低一些,centos 5 也可以用
lerosua 写了:这好几个控件的最低要求是2.12的gtk+,而你的系统是2.10的gtk+,没达到要求

quifei 写了:
lerosua 写了:
quifei 写了:又一次失望了,自从0.21.2开始,在Centos5和RHRL5上就再也无法安装了,0.21.1版本把configure文件里的giomm改成glibmm之后可以编译安装,以后的版本就无法编译了,
源里的gtkmm版本是2.10的
放出了一个叫 gloose的源码版本,这个是降低gtk+高版本依赖的,可用这个编译
这个gloose版本也不行,同样改configure文件里的giomm改成glibmm之后编译,出现下面的错误:
quifei
帖子: 11
注册时间: 2009-09-20 0:32
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#34

帖子 quifei » 2009-09-25 10:47

zhwps 写了:想在centos 5 上编译,最简单的就是失去几个特性:
1、trayicon
2、volume button
3、几个小函数
4、使用glade
可以实现吗?是不是可以自己在源代码里修改一些东西?应该怎么弄?

或者再发布一个可以在centos5上可以编译的版本,少掉几个特性也总比没有的强

用低版本的linux真是问题多多,没办法,其它的软件又要求RHEL的,多媒体娱乐就麻烦了
头像
大宝
帖子: 2870
注册时间: 2008-06-30 22:32
送出感谢: 0
接收感谢: 10 次
联系:

Re: GMLive 0.22.2版本释出

#35

帖子 大宝 » 2009-09-25 11:05

:em56 :em56
zhwps
帖子: 77
注册时间: 2007-03-21 14:33
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#36

帖子 zhwps » 2009-09-25 15:51

看来兄弟也是受约束一族啊!不知道是干哪行的?
去掉两个特性、替换几个函数、gtkbuilder改为glage后,就可以了。
可以实现的。
quifei 写了:
zhwps 写了:想在centos 5 上编译,最简单的就是失去几个特性:
1、trayicon
2、volume button
3、几个小函数
4、使用glade
可以实现吗?是不是可以自己在源代码里修改一些东西?应该怎么弄?

或者再发布一个可以在centos5上可以编译的版本,少掉几个特性也总比没有的强

用低版本的linux真是问题多多,没办法,其它的软件又要求RHEL的,多媒体娱乐就麻烦了
quifei
帖子: 11
注册时间: 2009-09-20 0:32
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#37

帖子 quifei » 2009-09-25 16:59

zhwps 写了:看来兄弟也是受约束一族啊!不知道是干哪行的?
去掉两个特性、替换几个函数、gtkbuilder改为glage后,就可以了。
可以实现的。
IC(集成电路)的,不然可能也不会弄linux

能不能说下具体应该改那些东西?对编程不太了解,小弟这儿先谢了
头像
spectater
帖子: 665
注册时间: 2008-02-03 18:53
送出感谢: 0
接收感谢: 1 次

Re: GMLive 0.22.2版本释出

#38

帖子 spectater » 2009-09-25 17:04

quifei 写了:
IC(集成电路)的,不然可能也不会弄linux

能不能说下具体应该改那些东西?对编程不太了解,小弟这儿先谢了
干这行的,电脑配制都超强,便宜的也是3万块一台的, 不如直接虚拟机中装个新版ubuntu :em03
zhwps
帖子: 77
注册时间: 2007-03-21 14:33
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#39

帖子 zhwps » 2009-09-25 23:01

原来兄弟在一个很有钱途的行业啊!呵呵
上传一个AMD64的版本,xpps需要设置suid位。ppswrapper在AMD 64 下无效。
quifei 写了:
zhwps 写了:看来兄弟也是受约束一族啊!不知道是干哪行的?
去掉两个特性、替换几个函数、gtkbuilder改为glage后,就可以了。
可以实现的。
IC(集成电路)的,不然可能也不会弄linux

能不能说下具体应该改那些东西?对编程不太了解,小弟这儿先谢了
xpps.gz
(31.35 KiB) 下载 175 次
附件
gmlive-0.22.2-1.el5.x86_64.rpm.gz
(221.1 KiB) 下载 70 次
quifei
帖子: 11
注册时间: 2009-09-20 0:32
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#40

帖子 quifei » 2009-09-25 23:26

太感谢了,还打了包,64位的兄弟有福了,可惜我的是32位的,真是不巧!
手动改源代码是不是很麻烦?
建议gmlive作者出一个适合于RHEL/Centos的版本
wutong
帖子: 345
注册时间: 2007-10-22 16:54
送出感谢: 0
接收感谢: 7 次

Re: GMLive 0.22.2版本释出

#41

帖子 wutong » 2009-09-26 20:10

用gmlive 看pps 却有声无影,怎么回事?
zhwps
帖子: 77
注册时间: 2007-03-21 14:33
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#42

帖子 zhwps » 2009-09-28 9:21

发个i386 for el5版本。
说一下我这个el5版本与原作的几点不同:
1、trayicon选项是个摆设,音量调节图标没有了。
2、配置文件还是在~/.gmlive下面
3、xpps做了小小修改,用7xx的库可以看在线视频和下载列表的视频。高版本的库是否可以看,不清楚。因为el5用不了

原作此版本的xpps严格上说不可seek,这样的好处是可以充分利用带宽,坏处就是不能seek了。不知道是否可以两者结合起来,呵呵
附件
gmlive-0.22.2-1.el5.i386.rpm.gz
(220.69 KiB) 下载 72 次
quifei
帖子: 11
注册时间: 2009-09-20 0:32
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#43

帖子 quifei » 2009-09-28 12:36

zhwps 写了:发个i386 for el5版本。
说一下我这个el5版本与原作的几点不同:
1、trayicon选项是个摆设,音量调节图标没有了。
2、配置文件还是在~/.gmlive下面
3、xpps做了小小修改,用7xx的库可以看在线视频和下载列表的视频。高版本的库是否可以看,不清楚。因为el5用不了

原作此版本的xpps严格上说不可seek,这样的好处是可以充分利用带宽,坏处就是不能seek了。不知道是否可以两者结合起来,呵呵
我这边安装后还是有些问题,
1.启动后生成的配置文件目录是~/gmlive(不是隐藏目录)而且里面是空的,没有文件
2.出来出来一个打开频道列表错误的对话框,内容是 打开频道列表文件错误,请选择一个本地的频道列表文件来代替损坏的文件

我试了一下手动建立~/.gmlive目录,第一次启动还是有 打开频道列表错误的对话框,
应该是里面没有列表文件的原因,第二次就ok了

应该是配置文件目录的问题,兄弟可以更新一下。

终于可以在centos下用新版本的gmlive
欧阳冰峰
帖子: 24
注册时间: 2009-09-12 1:52
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#44

帖子 欧阳冰峰 » 2009-09-30 14:27

啊哈

我不会用
头像
wen1987
帖子: 88
注册时间: 2007-07-04 21:54
送出感谢: 0
接收感谢: 0

Re: GMLive 0.22.2版本释出

#45

帖子 wen1987 » 2009-10-01 5:47

不知道是出了什么错,连列表都没有。
(没有 sopcast 这个 list 供选择)。

代码: 全选

Traceback (most recent call last):
  File "/usr/lib/totem/plugins/sopcast/sopcast.py", line 220, in activate
    self.setup_channels ()
  File "/usr/lib/totem/plugins/sopcast/sopcast.py", line 530, in setup_channels
    if self.load_channels ():
  File "/usr/lib/totem/plugins/sopcast/sopcast.py", line 461, in load_channels
    self.channel_guide.load (res)
  File "/usr/lib/totem/plugins/sopcast/channelguide.py", line 212, in load
    doc = minidom.parseString(res)
  File "/usr/lib/python2.6/xml/dom/minidom.py", line 1928, in parseString
    return expatbuilder.parseString(string)
  File "/usr/lib/python2.6/xml/dom/expatbuilder.py", line 940, in parseString
    return builder.parseString(string)
  File "/usr/lib/python2.6/xml/dom/expatbuilder.py", line 223, in parseString
    parser.Parse(string, True)
xml.parsers.expat.ExpatError: syntax error: line 1, column 49
Study or die.
回复

回到 “开源小工具”